import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, c = (p, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, s) : r, i = p.length - 1, o; i >= 0; i--)
    (o = p[i]) && (e = (t ? o(r, s, e) : o(e)) || e);
  return t && e && f(r, s, e), e;
};
let l = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--plusCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--plusCircleFilledLarge", this.name = "IconPlusCircleFilledLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--plusCircleFilledLarge"><path d="M24.663 7.338A12.25 12.25 0 1 0 7.339 24.663 12.25 12.25 0 0 0 24.663 7.338Zm-2.477 9.537h-5.31v5.311h-1.75v-5.311H9.813v-1.75h5.311V9.814h1.75v5.311h5.311v1.75Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  u("icon-plus-circle-filled-large")
], l);
export {
  l as IconPlusCircleFilledLarge
};
